#ifndef STYLES_H
#define STYLES_H

#include <Arduino.h>

const char styles_css[] PROGMEM = R"=====(

body, html {
  margin: 0;
  height: 100%;
  overflow: hidden;
}
.main-container {
  display: flex;
  flex-direction: row;
 justify-content: center;
  align-items: center;
  margin-top:1%;
  /*border: 2px solid black;*/
}
.bouton-container {
  display: flex;
  flex-direction: row;
 justify-content: center;
  align-items: center;
  margin-top:1%;
  /*border: 2px solid black;*/
}
.counter-container {
      display: flex;
    align-items: center;
    justify-content: center;
width: 34%;
/*border: 2px solid black;*/
}


.gauge { 
  width: 200px; 
  height: 200px; 
  display: inline-block; 
  position: relative; background-color: #222; 
  border-radius: 50%; overflow: hidden; 
  }
.gauge:before { 
  content: '';
   position: absolute; 
   top: 0; 
   left: 0; 
   width: 50%;
   height: 100%; 
   background-color: #444; 
   }
.needle { 
  position: absolute; 
  width: 2px; 
  height: 50%; 
  top: 0%; left: 50%; 
  background-color: #f00; 
  transform-origin: 50% 100%; 
  transform: rotate(90deg); 
  transition: transform .5s ease-in-out; 
  }
.gauge-value { 
  position: absolute; width: 100%; 
  text-align: center; 
  top: 75%; color: #fff; 
  font-family: sans-serif; 
  font-size: 24px; }

  .slidecontainerDir {
          display: flex;
    align-items: center;
    justify-content: right;
  width: 33%;
  /*border: 2px solid black;*/

}
  .slidecontainerVit {
          display: flex;
          justify-content: left;
    align-items: center;

     width: 33%;
   /*  border: 2px solid black;*/
}

  .sliderDir {
  -webkit-appearance: none;
  border-radius: 5px;
  width: 200px;
  height: 50px;
  background: #d3d3d3;
  outline: none;
}
.sliderDir::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 60px;
  height: 60px;
  border-radius: 50%; 
  background: #04AA6D;
  cursor: pointer;
}

.sliderDir::-moz-range-thumb {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background: #04AA6D;
  cursor: pointer;
}

  .sliderVit {
     -webkit-appearance: none;
    
  height: 50px;
  width: 200px;
  background: #d3d3d3;
  border-radius: 5px;
  outline: none;
  transform: rotate(270deg);
  
}
.sliderVit::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 60px;
  height: 60px;
  border-radius: 50%; 
  background: #04AA6D;
  cursor: pointer;
}

.sliderVit::-moz-range-thumb {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background: #04AA6D;
  cursor: pointer;
}
.bouton {
  background-color: #4CAF50;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  width: 40%;
  height: 10%
}

)=====";

#endif
